Actualizarea nucleului la o anumită versiune cu Composer (Drupal, 8, Actualizare, Composer)

Rusletov a intrebat.

Site-ul meu nu a fost actualizat timp de două luni, au fost lansate câteva actualizări noi. Versiunea de bază a site-ului meu este 8.5.6.Before care rulează composer update -with-dependencies Am citit notele de lansare la cea mai recentă versiune de core (8.6.2), se spune:

Site-urile pe 8.5.x ar trebui să se actualizeze imediat la Drupal 8.5.8 în schimb, și să planifice actualizarea la cea mai recentă versiune 8.6.x înainte de mai 2019.

Cum actualizez în schimb vechiul nucleu la Drupal 8.5.8? Cum pot specifica versiunea respectivă în CLI, ce comandă?În cele din urmă, vreau să o actualizez la cea mai recentă versiune.

Comentarii

  • composer require drupal/core:8.5.8 --update-with-dependencies, sau o mică variație. Dacă primiți plângeri cu privire la conflictul dintre componentele symfony, adăugați symfony/config la comanda dumneavoastră. Dacă aveți webflo/drupal-core-strict instalată, adăugați și asta –  > Por Clive.
1 răspunsuri
Antonio Estevez

Am fost în aceeași poziție. Am folosit :

composer require drupal/core:^8.5.10

Și a funcționat. Noroc.